apply plugin: 'com.android.application'

android {
    signingConfigs {
        config {
            storeFile file('..\\clean.jks')
            storePassword '2967076020'
            keyAlias 'zeng'
            keyPassword '2967076020'
        }
    }
    compileSdkVersion 28

    defaultConfig {
        applicationId "com.sunzee.cleanMachine"
        minSdkVersion 14
        targetSdkVersion 28
        versionCode 1
        versionName "1.0.7"
        manifestPlaceholders = [
                //个推应用参数，请填写您申请的 GETUI_APP_ID，GETUI_APP_KEY，GETUI_APP_SECRET 值
                GETUI_APP_ID    : "n4vsaIAi0eAbAkfBfqsUL7",
                GETUI_APP_KEY   : "iUQlj7YC4c5Zb7CSuwQTP4",
                GETUI_APP_SECRET: "fLvPjR8hni7VFMkgjh8lx2"
        ]
        ndk {
            // 注意：这里需要添加项目所需 CPU 类型的最小集
            abiFilters "armeabi", "armeabi-v7a", "x86"
        }
    }
    sourceSets {
        main {
            jniLibs.srcDirs = ['libs']
        }
    }
    buildTypes {
        release {
            signingConfig signingConfigs.debug
        }
    }
}

ext {
    androidutilsVersion = '1.0.6'
    appcompatVersion = '27.1.1'
    butterknifeVersion = '8.4.0'
    retrofitVersion = '2.3.0'
    logginginterceptor = '3.9.1'
    rxjavaVersion = '2.1.11'
    rxandroidVersion = "2.0.2"
    getuiversion = "2.13.1.0"
    designversion = "27.1.1"
    constraintlayoutversion = "1.1.3"
    eventbusversion = "3.2.0"
    filedownloader = '1.7.6'
    hawkVersion = '2.0.1'
    greendaoVersion = '3.2.2'
}

dependencies {
    implementation fileTree(include: ['*.jar'], dir: 'libs')
    implementation "com.wuxiaolong.androidutils:androidutils:$androidutilsVersion"
    //noinspection GradleCompatible,GradleDependency
    implementation "com.android.support:appcompat-v7:$appcompatVersion"
    //黄油刀
    implementation 'com.android.support:appcompat-v7:28.0.0'
    implementation 'com.android.support.constraint:constraint-layout:1.1.3'
    testImplementation 'junit:junit:4.12'
    annotationProcessor "com.jakewharton:butterknife-compiler:$butterknifeVersion"
    //retrofit2
    implementation "com.squareup.retrofit2:retrofit:$retrofitVersion"
    implementation "com.squareup.okhttp3:logging-interceptor:$logginginterceptor"
    implementation "com.squareup.retrofit2:converter-gson:$retrofitVersion"
    implementation "com.squareup.retrofit2:adapter-rxjava2:$retrofitVersion"
    //rxjava
    implementation "io.reactivex.rxjava2:rxandroid:$rxandroidVersion"
    implementation "io.reactivex.rxjava2:rxjava:$rxjavaVersion"
    //noinspection GradleCompatible
    implementation "com.android.support:design:$designversion"
    implementation "com.android.support.constraint:constraint-layout:$constraintlayoutversion"
    //请将此处的 ${version} 替换成您当前相应的 SDK 版本号，如 2.14.0.0
    implementation "com.getui:sdk:$getuiversion"
    implementation "org.greenrobot:eventbus:$eventbusversion"
    implementation project(':serialportlib')
    implementation project(path: ':serialport-api')
    implementation("com.github.bumptech.glide:glide:4.8.0") {
        exclude group: "com.android.support"
    }
    //noinspection GradleCompatible
    implementation "com.android.support:support-fragment:$appcompatVersion"
    implementation "com.orhanobut:hawk:$hawkVersion"

    implementation "com.liulishuo.filedownloader:library:$filedownloader"
    implementation "org.greenrobot:greendao:$greendaoVersion"

    // 下面各SDK根据宿主App是否使用相关业务按需引入。
    // OAID目前为目前国内市场主流的Android Q设备标识，可根据需要选择。
    // 友盟统计SDK
    implementation  'com.umeng.umsdk:common:9.1.0' // (必选)
    implementation  'com.umeng.umsdk:asms:1.1.3' // asms包依赖(必选)
    implementation 'com.umeng.umsdk:crash:0.0.4' // native crash包依赖(必选)

}
